#!/bin/bash

logger "********* start test sequence **********"
killall -q chronyd
sleep 1
killall -q chronyd

date -s '@0'
############### This does what /etc/init.d/ntpdate-debian does.
NTPSERVERS="0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org"
NTPOPTIONS=""

logger starting ntpdate
/usr/sbin/ntpdate -s $NTPOPTIONS "$@" $NTPSERVERS &


sleep 5

############## This does what /etc/init.d/chrony does.
cat >/etc/test.conf <<EOF
# This the default chrony.conf file for the Debian chrony package.  After

server 0.debian.pool.ntp.org offline minpoll 8
server 1.debian.pool.ntp.org offline minpoll 8
server 2.debian.pool.ntp.org offline minpoll 8
server 3.debian.pool.ntp.org offline minpoll 8

keyfile /etc/test.keys
commandkey 1

driftfile /var/lib/chrony/chrony.drift

log tracking measurements statistics
logdir /var/log/chrony_test

maxupdateskew 100.0
logchange 0.5
allow 192.168/16
EOF

cat >/etc/test.keys <<EOF
1 12345
2 abc
EOF

/usr/sbin/chronyd -f /etc/test.conf
sleep 2  # Chronyd can take a while to start.

KEY=$(awk '$1 ~ /^commandkey$/ { print $2; exit}' /etc/test.conf)
PASSWORD=`awk '$1 ~ /^'$KEY'$/ {print $2; exit}' /etc/test.keys`
/usr/bin/chronyc  << EOF
password $PASSWORD
online
burst 5/10
quit
EOF

#####  Show what is happening for a while.
sleep 1m
date ; chronyc sources 
sleep 10m
date ; chronyc sources   
sleep 10m
date ; chronyc sources   
sleep 10m
date ; chronyc sources   
